Page MenuHomePhabricator

Text immediately before a template is separated with an  
Closed, ResolvedPublic

Description

  1. Edit an article on Wikipedia that contains a template that expands to text, let's say https://en.wikipedia.org/wiki/Evolution_of_insects?veaction=edit
  1. The link "252 million years ago" in the second paragraph results from the {{Ma|}} template. Now try to resize the browser window so that the line will be broken between the word "around" and the link "252 million years ago". It's impossible.
  1. The text "30 °C (86 °F)" in the section "Devonian" results from the {{convert|}} template. Again, it is not possible to make VE break the text between the word "of" and the template-expanded text "30 °C (86 °F)"

This is on Chrome 41, Windows 7.

Event Timeline

AxelBoldt raised the priority of this task from to Needs Triage.
AxelBoldt updated the task description. (Show Details)
AxelBoldt added a subscriber: AxelBoldt.
Restricted Application added a project: VisualEditor. · View Herald TranscriptApr 7 2015, 11:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdforrester-WMF renamed this task from VE does not break a line before text expanded from a template to Text immediately before a template is separated with an  .Apr 8 2015, 11:28 AM
Jdforrester-WMF set Security to None.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

The output from Parsoid and RESTbase looks normal. Are we munging it somehow?

Jdforrester-WMF triaged this task as Low priority.Apr 8 2015, 11:29 AM
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.
matmarex closed this task as Resolved.May 15 2019, 7:58 AM
matmarex added a subscriber: matmarex.

This no longer seems to be a problem. No idea when or how it has been fixed.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 15 2019, 7:58 AM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald Transcript